Download it now!
Bug 113767 - Autoupdate of reference does not autoupdate
Summary: Autoupdate of reference does not autoupdate
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Fields-Cross-Reference
  Show dependency treegraph
 
Reported: 2017-11-10 18:41 UTC by Ole Tange
Modified: 2019-02-15 03:46 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Reference does not auto update until activated (8.70 KB, application/vnd.oasis.opendocument.text)
2018-02-14 16:44 UTC, Ole Tange
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ole Tange 2017-11-10 18:41:32 UTC
Description:
Autoupdate of references requires you to change the paragraph before it autoupdates.


Steps to Reproduce:
1. New text document
2. Enter foo
3. CTRL-F2
4. Set reference
5. Name: myname
6. Insert
7. Close
8. Press left arrow, enter, enter
9. CTRL-F2
10. Insert Reference > Reference > myname
11. Insert
12. Edit first the first Foo into Bar

Actual Results:  
The second Foo remains Foo

Expected Results:
The second Foo changed into Bar


Reproducible: Always


User Profile Reset: No



Additional Info:
This is already set:

Options > LibreOffice Writer > General > Automatically Update > Fields = true

The second Foo changes automatically when you edit that paragraph.

[Information automatically included from LibreOffice]
Locale: da
Module: TextDocument
[Information guessed from browser]
OS: Windows (All)
OS is 64bit: no


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.90 Safari/537.36
Comment 1 Buovjaga 2017-11-15 14:31:59 UTC
I'm sorry, with your steps I do not get a second Foo. Could you please attach a document with step 8 completed?

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the document.
Comment 2 Ole Tange 2018-02-14 16:44:33 UTC
Created attachment 139911 [details]
Reference does not auto update until activated

See demonstration on https://youtu.be/qu_DMEoQyTg

Version: 6.0.1.1 (x64)
Build ID: 60bfb1526849283ce2491346ed2aa51c465abfe6
Comment 3 Buovjaga 2018-02-14 18:17:09 UTC
(In reply to Ole Tange from comment #2)
> Created attachment 139911 [details]
> Reference does not auto update until activated

Ok, confirmed with file. I have to type something always after the second field when I have typed something in the first field to change it.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 338c1e5ee13ea1435149e04dd61fa19ff476f2a8
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on February 14th 2018

Arch Linux 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 4 QA Administrators 2019-02-15 03:46:56 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug